
%Mecatrnica. Control y Automatizacin. 2013
%Fernando Reyes Corts, Jaime Cid Monjaraz y Emilio Vargas Soto
%Alfaomega  "Te acerca al conocimiento"

function  xp =centrifugaexp(t,x)
%variables de estado
q=x(1);% posicin articular
qp=x(2);% velocidad articular

%parmetros de la centrfuga
m=5;%masa de la centrfuga 
lc2=0.01;%centro de masa de la barra inclinada 
delta=45*pi/180;%ngulo de inclinacin de la barra l_2
I=0.08;% momento de inercia del rotor del servomotor
b=0.12;%coeficiente de friccin viscosa

%aceleracin rotacional de la centrfuga
tau=controlexp(q,qp);

qpp=(tau-b*qp)/(m*lc2*lc2*sin(delta)+I);

%vector de salida
xp=[qp;
    qpp ]; 
end
