%Mecatrnica. Control y Automatizacin. 2013
%Fernando Reyes Corts, Jaime Cid Monjaraz y Emilio Vargas Soto
%Alfaomega  "Te acerca al conocimiento"

function xp =robot2gdlsaturado(t,x)
    q1=x(1); 
    q2=x(2); 
    q = [q1; 
         q2]; %vector de posicin articular
    
    qp1=x(3); 
    qp2=x(4); 
    
    qp = [qp1; 
          qp2];%vector de velocidad articular


    M=[2.351+0.1676*cos(q2),  0.102+0.0838*cos(q2);
       0.102+0.0838*cos(q2), 0.102];
 
 %matriz de fuerzas centrpetas y de Coriolis
 C=[-0.1676*sin(q2)*qp2, -0.0838*sin(q2)*qp2;
     0.084*sin(q2)*qp1,    0.0];
 
 %par gravitacional
 gq=9.81*[3.9211*sin(q1)+0.1862*sin(q1+q2); 
    0.1862*sin(q1+q2)];
 
%friccin viscosa
 fr=[2.288*qp1;
     0.175*qp2]; 
% [tau, ~]=PD(q,qp);
[tau, ~] = saturado(q,qp);
%ecuacin en lazo cerrado
qpp = M^(-1)*(tau-C*qp-gq-fr);

%vector de salida
xp = [qp1; qp2; qpp(1); qpp(2)];
end
