
%Mecatrnica. Control y Automatizacin. 2013
%Fernando Reyes Corts, Jaime Cid Monjaraz y Emilio Vargas Soto
%Alfaomega  "Te acerca al conocimiento"

clc; 
clear all; 
close all;
format short g

ti=0; 
h=0.001; 
tf = 10; %10 para fuerza1 
t=ti:h:tf;  %vector tiempo
ci=[0.0; 0.0; 0; 0]; %condiciones iniciales

opciones=odeset('RelTol',h*1e-3,'InitialStep', h,'MaxStep',h);
%solucin numrica del modelo dinmico del robot 2gdl y control PD
[t,x]=ode45('robot2gdlsaturado',t,ci,opciones);
   
    q1=x(:,1);    q2=x(:,2);
    qp1=x(:,3);   qp2=x(:,4);
    
   [n,m]=size(t);
   tau1=zeros(n,1);   tau2=zeros(n,1); 
qtilde1=zeros(n,1); qtilde2=zeros(n,1);


   for k=1:n   
    [tau, qtilde] = saturado([q1(k);q2(k)], [qp1(k); qp2(k)]);
    tau1(k)=tau(1); tau2(k)=tau(2);
    qtilde1(k)=qtilde(1); qtilde2(k)=qtilde(2);
   end

subplot(3,1,1); plot( t, 180*q1/pi, t,180*q2/pi)
subplot(3,1,2); plot(t, 180*qtilde1/pi, t, 180*qtilde2/pi)
subplot(3,1,3); plot( t, tau1, t,tau2)
%subplot(3,1,3); plot(qtilde1, qp1, qtilde2,qp2)

